# rmdir

(PHP 4, PHP 5, PHP 7)

rmdir — Removes directory

### Description

rmdir ( string `$dirname` [, resource `$context` ] ) : bool

Attempts to remove the directory named by `dirname`. The directory must be empty, and the relevant permissions must permit this. A `E_WARNING` level error will be generated on failure.

### Parameters

`dirname`

  Path to the directory.

`context`

  > Note: Context support was added with PHP 5.0.0. For a description of contexts, refer to Streams.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 rmdir() example

`<?php
if (!is_dir('examples')) {
mkdir('examples');
}
rmdir('examples');
?>`

### Notes

> Note: When safe mode is enabled, PHP checks whether the directory in which the script is operating has the same UID (owner) as the script that is being executed.

### See Also

- is_dir() - Tells whether the filename is a directory
- mkdir() - Makes directory
- unlink() - Deletes a file